﻿#Visio

Захарёнок Егор 47 группа
Назначение Microsoft Visio
Предлагаемый графический конструктор предоставляет возможность работать с наборами изображений объектов определенных типов. Объекты этих типов являются конструктивными элементами, из которых строится объектная модель. Такой набор типов мы назовем библиотекой (объектов), или объектной библиотекой. Библиотеки могут включать как стандартные для программирования простые типы (строки, числа, символы и т.д.), так и типы, имеющие более сложную структуру – совокупность полей данных. Здесь используется термин «поле данных», чтобы отличить его от таких понятий как атрибут, слот, переменная класса и т.д., с помощью которых описывается структура объектов.

Функции, операции и основные приемы работы Microsoft Visio
 

Microsoft Visio обладает рядом преимуществ по сравнению с другими графическими конструкторами. Выпускается она в двух комплектация: Office Visio Professional и Office Visio Standard. Для черчения электрических схем, вполне достаточно пользоваться Visio Standard, которая в два раза дешевле чем Visio Professional.

Для черчения электрических схем, основными положительными характеристиками Visio, являются:

Удобная система создания схем, методом перетаскивания готовых трафаретов УГО из окна трафаретов на рабочий лист чертежа. При этом все трафареты находятся перед глазами, обеспечено удобное переключение между библиотеками, все действия наглядны и сведены к минимуму. Имеется инструмент "Штамп" для отображения однотипных трафаретов.;

Отключаемые инструменты "Привязать" (к сетке, маркерам, вершинам, точкам соединения), силу привязки которых можно плавно регулировать, повышают точность установки элементов схем и соединителей при высокой скорости черчении;
Продуманная работа с помощью "горячих" клавиш позволяет исключить дополнительные операции при копировании, дублировании элементов и участков схем;
Для создания дополнительных трафаретов УГО, не требуется дополнительных приложений (для большинства программ отнесенных мной ко второй категории, необходимо приобрести дополнительное приложение для создания трафаретов). Созданный трафарет УГО, или фрагмент схемы можно быстро сохранить для последующего использования, перетащив на окно библиотеки фигур.

При работе с инструментами масштаба документа и размерами страниц, невозможно найти функции, которые бы не устраивали или отсутствовали.

Настройки печати, позволяют распечатать документ в масштабе и печать документов большого формата на принтере А4.

Поддерживаются следующие форматы документов:

Формат чертежей AutoCAD (DWG, DXF)
Сжатый расширенный метафайл (EMZ)
Расширенный метафайл (EMF)
Фомат GIF (GIF)
Формат JPEG (JPG)
Формат PNG (PNG)
Сжатый масштабируемый векторный рисунок (SVG, SVGZ)
Формат TIFF (TIF, TIFF)
Точечный рисунок Windows (BMP, DIB)
Метафайл Windows (WMF)

Основным недостатком (для черчения схем) Visio, является отсутствие в её составе полноценной библиотеки условных графических обозначений элементов электрических схем. Скудный набор трафаретов электрических элементов, входящий состав Visio не соответствует ГОСТ.

Для устранения этого недостатка, необходимо создать библиотеку условных графических обозначений GOST Electro for Visio, трафареты которой соответствуют Российским стандартам и по удобству использования, функциональности, намного лучше, входящих в состав программы. (Данная библиотека совместно с видеокурсом по черчению электрических схем в Visio, входит в состав комплекта для черчения электрических схем).

Такие недостатки, как автономерация и автоматическое создание спецификаций, для меня не являются значимыми. Возможно, автоматическое составление спецификаций и полезно проектировщикам.

Общая функциональность графического конструктора, не зависящая от различных объектных моделей, реализована в виде единственного подобного шаблона. Для настройки на рисование объектов из конкретной библиотеки типов служит файл XML‑описания визуализации объектов. Такой файл содержит сведения о структуре объектов и о способе их отображения в редакторе. Этот файл ассоциируется с шаблоном и загружается вместе с ним. При разработке «уникального» графического интерфейса для моделирования на основе новой объектной библиотеки, программисту требуется только разработать такой файл настройки и его XSD‑схему. Затем он просто создает новый шаблон редактора копированием любого уже имеющегося и изменяет в нем путь – к новому файлу настройки.

В процессе редактирования визуальные образы объектов заполняются данными, между объектами устанавливаются связи. Результат своей работы пользователь конструктора может сохранить либо в виде диаграммы Visio, т.е. в файле с расширением vsd, либо в XML‑файле описания структуры объектов, представляющем разработанную объектную модель (или её часть) в специально разработанном для этого XML‑языке. Vsd‑файл можно использовать лишь для дальнейшего конструирования модели в редакторе, в то время как XML‑представление может быть передано соответствующему приложению для изменения состояния объектной модели (рис. 1). Ясно, что такое приложение должно поддерживать API интерпретации XML‑языка описания объектной модели. Фрагменты модели для редактирования «поступают» от соответствующего приложения также в виде подобных XML‑документов.

С помощью широкого набора диаграмм, схем бизнес-процессов, сетевых диаграмм, диаграмм документооборота, моделей баз данных, схем программного обеспечения и других типов диаграмм Visio Standard вы сможете визуально документировать, разрабатывать и разбираться в состоянии бизнес-процессов и систем. Связывание диаграмм с данными помогает увидеть более полную картину.

Интеграция диаграмм с данными в программе Visio позволяет увидеть полную картину процесса или системы.

Следующие возможности Visio Standard упрощают визуальное представление процессов, систем и сложной информации.

Быстрое начало работы с использованием шаблонов. С помощью программы Visio Standard вы сможете легко создавать диаграммы, используя готовые символы SmartShapes, связанные с мощными средствами поиска нужных фигур на локальном компьютере и в Интернете. Программа Visio содержит различные средства, предназначенные для создания диаграмм, необходимых ИТ-специалистам и специалистам в области бизнеса.