﻿#Atom
Масарова Диана Сергеевна
Atom – это текстовый редактор с открытым исходным кодом, который может быть использован в качестве интегрированной среды разработки (IDE) для самых разных языков программирования. Он может открыть массу возможностей благодаря постоянной поддержке этого сообщества.

Приложение имеет все функции, которые можно ожидать от редактора кода, включая подсветку синтаксиса, автоопределение языков, автозаполнение текста, возможность использовать несколько панелей и сохранять проект в нескольких папках, поддержка фрагментов кода и мощный инструмент поиска.
А главное свойство – это модульность среды разработки, в которую вы сможете добавлять дополнительные функции, устанавливая дополнительные пакеты.
Еще GitHub включает систему управления для Git, так что вы сможете публиковать любой контент с использованием платформы GitHub.

Atom – это мультиплатформенный (Windows, Linux и Mac) инструмент, позволяющий делать ваши проекты кросс-платформенными. Настройки IDE можно назвать главным достоинством приложения.
В момент написания было доступно более 2 000 пакетов и 600 тем. Учитывая многочисленные настройки программы и количество уже включенных в нее функций, ее определенно можно назвать одним из лучших доступных на сегодня инструментов веб-разработки.
В добавок ко всему, приложение выделяется перед другими подобными альтернативами тем, что не занимает много места на компьютере. 

Установка Atom:
Скачать текстовый редактор для ОС Windows мы можем напрямую из GitHub.
После запуска установщика перед нами отобразится небольшое окно, информирующее нас о том, что программа находится в процессе установки.
Как только инсталляция будет завершена, откроется новое окно – главный экран самой программы. С него мы и будем начинать взаимодействие с редактором.
Если вы пользователь операционной системы Linux, то для нее вы также можете скачать установщик из того же репозитория. Там доступны deb- и rpm-пакеты, а также есть возможность собрать программу из исходников.
Установка выполняется с помощью следующей команды:
sudo dpkg -i atom-amd64.deb
Для Ubuntu мы также можем воспользоваться менеджером пакетов snap:
snap install atom

Как пользоваться Atom:
Устанавливаем пакеты.
Пакеты – это одна из ключевых особенностей, с помощью которых можно расширять функционал программы.
Их установка проста: достаточно открыть поисковое меню, найти нужный пакет и нажать на кнопку установки.
Выглядит это следующим образом:
1.Запускаем программу, если он еще не открыта, и на главном экране выбираем «Install a Package».
2.В раскрывшемся окне выбираем «Open Installer».
3.Перед нами открывается дополнительная вкладка в левой части окна. Это поисковая форма, через которую можно находить и устанавливать всевозможные пакеты Atom.
4.Для примера давайте установим пакет, позволяющий изменять язык программы. Он называется atom-i18n – вводим его в строку поиска и в первой карточке нажимаем на «Install».
Вот такими простыми действиями мы можем устанавливать любые расширения в редакторе Atom.
О том, как ими пользоваться, поговорим далее.

Русифицируем Atom:
Многие не рекомендуют русифицировать Atom, так как разработчику нужно постоянно практиковать свой английский. Однако, если вы только начинаете погружаться в разработку, лучше начать с русскоязычного интерфейса.

Для русификации у нас уже все установлено, достаточно нажать пару кнопок:
1.В верхнем меню кликаем по «File» и выбираем «Settings…».
2.Следующим шагом переходим в подраздел «Install» и вводим название установленного ранее расширения. Затем жмем на «Settings».
3.Пролистываем немного ниже и кликаем по кнопке «English (en)». В отобразившемся окне выбираем нужный нам язык.
4.После этого в правой части отобразится новое окно с кнопкой «Reload». Кликаем по ней – таким образом мы перезагрузим программу и сделаем ее русифицированной.
5.В результате мы получаем переведенный на русский язык текстовый редактор Atom.
Обратите внимание на то, что основные кнопки для начала работы не были переведены, но если открыть настройки или посмотреть на меню, то там все будет на русском.