# Notepad++
![Alt-текст](1.png)
## Содержание:
### - 1.Notepad++ что это такое?
### - 2.История о Notepad++
### - 3.Возможности Notepad++
### - 4.Редактирование текста Notepad++
### - 5.Преобразование кодировок
### - 6.Подсветка синтаксиса в Notepad++
### - 7.Работа с несколькими документами
### - 8.Поиск в Notepad++
### - 9.Печать
### - 10.Преимущества и недостатки Notepad++
### - 11.Заключение

## Notepad++ что это такое?
Notepad++ – это редактор текстов, предназначенный не только для изменения текстовых файлов, но и для программирования, а также кодирования. Часто его сопоставляют с обычным блокнотом, но объединяет эти программы только работа с текстом.

Редактор Notepad++ представляет собой бесплатный продвинутый текстовый редактор. Это универсальное средство разработчика со сравнительно увеличенным функционалом, который легко изучить и применять на практике. 
Поддерживает открытие более 100 форматов.
## История о Notepad++:
В сентябре 2003 года инженер-программист Дон Хо (Don Ho) создал прототип Notepad++ на базе Scintilla (C++). 
Он являлся альтернативой редактору (Java), над которым работал Дон Хо в компании JEXT. Однако более производительное решение на C++ в компании принято не было.
25 ноября 2003, после 2-3 месяцев разработки в свободное от работы время, код Notepad++ было выложен на SourceForge.
 Он был скачан (по состоянию на 23 июля 2015 года) более 29 миллионов раз.
В 2007 году Notepad++ стал доступен не только на Windows, но также появились кросс-платформенные версии для Mac OS X и Linux (Ubuntu).
В 2010 году из-за блокировки правительством США SourceForge.net для стран из «чёрного списка» (Северной Кореи, Кубы, Сирии и т. д.) переместился на собственный сайт.
## Возможности Notepad++
Возможности программы заявлены на официальном сайте

Подсветка синтаксиса
Сворачивание кода
Автодополнение и автоматическое закрытие скобок и тэгов (если активировано)
Закладки
Регулярные выражения для поиска и замены
Запись и воспроизведение макросов
Сравнение файлов
Менеджер проектов
Карта документа
Переопределение любых горячих клавиш
Резервное копирование сохраняемых файлов (включается в настройках)
Трансформация текста при помощи подключённого плагина TextFX
Поддержка и конвертирование кодировок ANSI, UTF-8 и UCS-2
Блоковое выделение текста, одновременное выделение нескольких разных мест (с Ctrl)
Многострочное редактирование (с использованием Alt)
При установке дополнительных плагинов

Шаблоны текста (сниппеты), вводимые с помощью сокращений (плагин SnippetPlus)
FTP-менеджер (плагин NppFTP)
Hex-редактор
Автосохранение (при потере фокуса; через настраиваемый промежуток времени)
Проверка орфографии (с использованием GNU Aspell)
Симметричное и асимметричное шифрование текста (при установке плагина NppDarkCrypt)
Поддержка Zen Coding
Поддержка автоматизации с помощью скриптов: Python, JScript, Lua, и других
Поддержка сохранения в OneDrive и Dropbox
## Редактирование текста Notepad++
Как и у любого текстового редактора, основной функцией Notepad++ является написание и редактирование текстов. Но, даже в данной простейшей функции указанное приложение имеет ряд преимуществ перед стандартным «Блокнотом».
![Alt-текст](https://procomputery.ru/wp-content/uploads/2021/11/notepad-10-1024x546.png)
К ним относится, например, расширенный выбор кодировки текста. Кроме того, Нотепад++ корректно работает с большим типом файлов: TXT, BAT, HTML и многие другие.
![Alt-текст](https://procomputery.ru/wp-content/uploads/2021/11/notepad-2-1024x546.png)
## Преобразование кодировок
Notepad++ может не только работать с различными кодировками текста, но и преобразовывать их из одной в другую прямо в процессе работы. Программа способна конвертировать текст в следующие кодировки: ANSI, обычный UTF-8, UTF-8 (без BOM), UCS-2 Big Endian, UCS-2 Little Endian.
![Alt-текст](https://procomputery.ru/wp-content/uploads/2021/11/notepad-3-1024x546.png)
## Подсветка синтаксиса в Notepad++
Но, главным преимуществом Notepad++ перед аналогами, включая «Блокнот» и «WordPad», является подсветка синтаксиса html-разметки и огромного количества языков программирования, среди которых Java, C, C++, JavaScript, Visual Basic, PHP, Perl, SQL, XML, Фортран, Ассемблер и многие другие.

Эта возможность сделала данный редактор популярным среди программистов и веб-мастеров. Благодаря подсветке разметки, им намного легче ориентироваться в коде.
![Alt-текст](https://procomputery.ru/wp-content/uploads/2021/11/notepad-1-1024x546.png)
## Работа с несколькими документами
С помощью программы Notepad++ можно работать с несколькими документами одновременно, так как приложение поддерживает возможность редактирования сразу в нескольких вкладках.

Можно также работать с одним документом в двух и более вкладках. При этом изменения, сделанные в одной из вкладок, автоматически будут отображаться в остальных.
![Alt-текст](https://procomputery.ru/wp-content/uploads/2021/11/notepad-5-1024x546.png)
## Поиск в Notepad++
В приложении существует продвинутый поиск по документу. В специальном окне можно производить поиск с заменой содержимого, с учетом регистра или без учета, зациклить поиск, накладывать фильтры, делать пометки и т.д.
![Alt-текст](https://procomputery.ru/wp-content/uploads/2021/11/notepad-6.png)
## Печать
Как и большинство других текстовых редакторов, Notepad++ предоставляет возможность распечатки текста на принтер. Но фишкой данной программы является применение технологии WYSIWYG, что позволяет производить распечатку в том же виде, как текст представлен на экране.
![Alt-текст](https://procomputery.ru/wp-content/uploads/2021/11/notepad-9.png)
# Преимущества и недостатки Notepad++
## Преимущества:
    -Поддержка интерфейса на 76 языках, включая русский;
    -Поддерживает работу на двух платформах: Windows и ReactOS;
    -Очень большой функционал, в сравнении с аналогами;
    -Поддержка плагинов;
    -Использование технологии WYSIWYG.
## Недостатки:
     - Запускается медленнее, чем менее продвинутые программы.
     - Больше нет.
# Заключение
Текстовый редактор Notepad++ собрал в себе всё самое необходимое и полезное из массы различных приложений. Более того, для него характерна быстрая работа без сбоев, по сравнению с платными аналогами.

Преимущества Нотепад++ обеспечивают корректную и бесперебойную работу программы, что немаловажно, как новичкам, так и опытным пользователям.
